#include <cmath>

void rhs(double* f, double* x, double* u)
{
 double Fbin=0.0;
 double Tw=0.0;
 double Tin=35;
 double b2=6.6667;
 Fbin=u[0];
 Tw=u[1];

f[1-1]=( -1e+0/(1000e+0*x[8-1])*x[1-1]*Fbin-(1.6599e+6 * exp(-(b2*1e+3)/(x[7-1] + 273.15)))*x[1-1]*x[2-1]);
f[2-1]=( 1e+0/(1000e+0*x[8-1])*Fbin*(1-x[2-1])-((1.6599e+6 * exp(-(b2*1e+3)/(x[7-1] + 273.15)))*x[1-1]*x[2-1]
 +( 7.2117e+8 * exp(-(8.3333*1e+3)/(x[7-1] + 273.15)))*x[2-1]*x[3-1]));
f[3-1]=(-1e+0/(1000e+0*x[8-1])*x[3-1]*Fbin+(2*( 1.6599e+6 * exp(-(b2*1e+3)/(x[7-1] + 273.15)))*x[1-1]*x[2-1]
 -2*(7.2117e+8 * exp(-(8.3333*1e+3)/(x[7-1] + 273.15)))*x[2-1]*x[3-1]
 -(2.6745e+12 * exp(-(11.111*1e+3)/(x[7-1] + 273.15)))*x[3-1]*x[4-1]));
f[4-1]=(-1e+0/(1000e+0*x[8-1])*x[4-1]*Fbin+((7.2117e+8 * exp(-(8.3333*1e+3)/(x[7-1] + 273.15)))*x[2-1]*x[3-1]
 -1/2e+0*(2.6745e+12 * exp(-(11.111*1e+3)/(x[7-1] + 273.15)))*x[3-1]*x[4-1]));
f[5-1]=(-1e+0/(1000e+0*x[8-1])*x[5-1]*Fbin+(2*(7.2117e+8 * exp(-(8.3333*1e+3)/(x[7-1] + 273.15)))*x[2-1]*x[3-1]));
f[6-1]=(-1e+0/(1000e+0*x[8-1])*x[6-1]*Fbin+(3e+0/2e+0*(2.6745e+12 * exp(-(11.111*1e+3)/(x[7-1] + 273.15)))*x[4-1]*x[3-1]));
 f[7-1]=(Fbin*Tin/(1000*x[8-1])+(-(-263.8)*((1.6599e+6 * exp(-(b2*1e+3)/(x[7-1] + 273.15)))*x[1-1]*x[2-1])*1000
-(-158.3)*(( 7.2117e+8 * exp(-(8.3333*1e+3)/(x[7-1] + 273.15)))*x[2-1]*x[3-1])*1000
-(-226.3)*((2.6745e+12 * exp(-(11.111*1e+3)/(x[7-1] + 273.15)))*x[3-1]*x[4-1])*1000)/(1000*4.184)
-9.2903/ 2105.2*10*23.082e-3*(x[7-1]-1e+3*Tw)/4.184-Fbin*x[7-1]/(x[8-1]*1000));
f[8-1]=( Fbin/1000);
 
f[9-1]=(-5554.1*(((( 7.2117e+8 * exp(-(8.3333*1e+3)/(x[7-1] + 273.15)))*x[2-1]*x[3-1])
-1/2e+0*((2.6745e+12 * exp(-(11.111*1e+3)/(x[7-1] + 273.15)))*x[3-1]*x[4-1]))*x[8-1])
-125.91*2*(( 7.2117e+8 * exp(-(8.3333*1e+3)/(x[7-1] + 273.15)))*x[2-1]*x[3-1])*x[8-1]);



}
